package com.interplug.qcast.biz.master;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Schema(description = "Api 가대 목록 조회 요청 객체 빌더")
public class ApiTrestleBuilder {	

	@Schema(description = "모듈타입코드")
	private String moduleTpCd;

	@Schema(description = "지붕재코드")
	private String roofMatlCd;
	
	@Schema(description = "서까래기초코드")
	private String raftBaseCd;

	@Schema(description = "가대메이커코드")
	private String trestleMkrCd;

	@Schema(description = "공법코드")
	private String constMthdCd;

	@Schema(description = "지붕기초코드")
	private String roofBaseCd;

	public ApiTrestleBuilder setModuleTpCd(String moduleTpCd){
        this.moduleTpCd = moduleTpCd;
        return this;
    }
	
	public ApiTrestleBuilder setRoofMatlCdCd(String roofMatlCd){
        this.roofMatlCd = roofMatlCd;
        return this;
    }
	
	public ApiTrestleBuilder setRaftBaseCd(String raftBaseCd){
        this.raftBaseCd = raftBaseCd;
        return this;
    }
	
	public ApiTrestleBuilder setTrestleMkrCd(String trestleMkrCd){
        this.trestleMkrCd = trestleMkrCd;
        return this;
    }
	
	public ApiTrestleBuilder setConstMthdCd(String constMthdCd){
        this.constMthdCd = constMthdCd;
        return this;
    }
	
	public ApiTrestleBuilder setRoofBaseCd(String roofBaseCd){
        this.roofBaseCd = roofBaseCd;
        return this;
    }
	
	public ApiTrestleBuilder (String moduleTpCd, String roofMatlCd, String raftBaseCd, String trestleMkrCd, String constMthdCd, String roofBaseCd) {
        this.moduleTpCd = moduleTpCd;
        this.roofMatlCd = roofMatlCd;
        this.raftBaseCd = raftBaseCd;
        this.trestleMkrCd = trestleMkrCd;
        this.constMthdCd = constMthdCd;
        this.roofBaseCd = roofBaseCd;
    }
	
	public ApiTrestleBuilder build(){
        return new ApiTrestleBuilder(moduleTpCd, roofMatlCd, raftBaseCd, trestleMkrCd, constMthdCd, roofBaseCd);
    }
	
}

